clear all;
close all;
clc;

%% Comparison of each method
N = 2:8;

for n=2:8

    %initialize problem
    A = [hilb(n); hilb(n)];
    cond(A)
    b= rand(2*n,1);

    %solve least square problems
    x_chol = leastSquares(A,b,'cholesky');
    x_qr = leastSquares(A,b,'qr');
    x_myqr = leastSquares(A,b,'myqr');
    x = A\b;

    %calculate error resp. to x
    err_chol(n-1) = max(abs(x_chol-x));
    err_qr(n-1)   = max(abs(x_qr-x));
    err_myqr(n-1) = max(abs(x_myqr-x));

end

%% Plot Error

% toDo