clear all;
close all;
clc;

tol = 1e-12;

%testcase 1
A = magic(5);
x = [1;-1;2;0;1];
[val,row_ind,col_ptr] = CCS(A);
y = MatVecCCS(val,row_ind,col_ptr,x);
err = max(abs(A*x-y));

if err < tol
    fprintf('Testcase 1: Passed.\n')
else
    fprintf(2,'Testcase 1: Failed\n')
end


%testcase 2
A = [5 3 0 0 0 21;
    0 7 -18 0 0 0;
    0 0 11 0 7 0;
    0 -2 0 6 0 0;
    1 0 0 -3 32 0;
    0 0 0 4 0 10];
x = rand(6,1);
[val,row_ind,col_ptr] = CCS(A);
y = MatVecCCS(val,row_ind,col_ptr,x);
err = max(abs(A*x-y));

if err < tol
    fprintf('Testcase 2: Passed.\n')
else
    fprintf(2,'Testcase 2: Failed\n')
end


%testcase 3
A = 10*rand(42,42);
x = -1*rand(42,1);
[val,row_ind,col_ptr] = CCS(A);
y = MatVecCCS(val,row_ind,col_ptr,x);
err = max(abs(A*x-y));

if err < tol
    fprintf('Testcase 3: Passed.\n')
else
    fprintf(2,'Testcase 3: Failed\n')
end


