clear all;
close all;
clc;

%% runtime test

N = 2.^(5:15);
time_full = zeros(1,length(N));
time_sparse = zeros(1,length(N));


%compare runtime of CSS(A) for sparse format and full format
i = 1;
for n = N
    
    %full matrix
    A = [n+1, n:-1:1; ones(n,1), eye(n)];
    tic
    [val,row_ind,col_ptr] = CCS(A);
    time_full(i) = toc;
    
    %sparse matrix
    A = sparse(A);
    tic
    [val,row_ind,col_ptr] = CCS(A);
    time_sparse(i) = toc;
    
    i = i + 1;
end

%% plot data

% toDo
    