clear all;
close all;
clc;

tol = 1e-12;

%testcase 1
A = [5 3 0 0 0 21;
    0 7 -18 0 0 0;
    0 0 11 0 7 0;
    0 -2 0 6 0 0;
    1 0 0 -3 32 0;
    0 0 0 4 0 10];
[val,row_ind,col_ptr] = CCS(A);

% check result
err = max(abs(val-[5 1 3 7 -2 -18 11 6 -3 4 7 32 21 10]));
err = max(max(abs(row_ind-[1 5 1 2 4 2 3 4 5 6 3 5 1 6])),err);
err = max(max(abs(col_ptr-[1 3 6 8 11 13 15])),err);
if err < tol
    fprintf('Testcase 1: Passed.\n')
else
    fprintf(2,'Testcase 1: Failed\n')
end

%testcase 2
A = [10 0 0 22 31 0; 
     -4 8 0 0 0 0;
     0 0 -6 9 0 0;
     0 0 0 7 0 0;
     0 0 5 0 20 11;
     12 0 0 14 0 44];
[val,row_ind,col_ptr] = CCS(A);

% check result
err = max(abs(val-[10 -4 12 8 -6 5 22 9 7 14 31 20 11 44]));
err = max(max(abs(row_ind-[1 2 6 2 3 5 1 3 4 6 1 5 5 6])),err);
err = max(max(abs(col_ptr-[1 4 5 7 11 13 15])),err);
if err < tol
    fprintf('Testcase 2: Passed.\n')
else
    fprintf(2,'Testcase 2: Failed\n')
end