clear all;
close all;
clc;

tol = 1e-12;

%testcase 1
val = [10 -4 12 8 42 3 1 5 2 3 5 1];
row_ind = [1 2 14 3 4 3 4 5 7 8 3 2];
col_ptr = [1 4 6 9 11 12 13];
A_full = CCStoFull(val,row_ind,col_ptr);
A = [10     0     0     0     0     0;
    -4     0     0     0     0     1;
     0     8     3     0     5     0;
     0    42     1     0     0     0;
     0     0     5     0     0     0;
     0     0     0     0     0     0;
     0     0     0     2     0     0;
     0     0     0     3     0     0;
     0     0     0     0     0     0;
     0     0     0     0     0     0;
     0     0     0     0     0     0;
     0     0     0     0     0     0;
     0     0     0     0     0     0;
    12     0     0     0     0     0];
err = max(max(A-A_full));
if err < tol
    fprintf('Testcase 1: Passed.\n')
else
    fprintf(2,'Testcase 1: Failed\n')
end

%testcase 2
val = [16 5 9 4 2 11 7 14 3 10 6 15 13 8 12 1];
row_ind = [1 2 3 4 1 2 3 4 1 2 3 4 1 2 3 4];
col_ptr = [1 5 9 13 17];
A_full = CCStoFull(val,row_ind,col_ptr);
A = magic(4);
err = max(max(A-A_full));
if err < tol
    fprintf('Testcase 2: Passed.\n')
else
    fprintf(2,'Testcase 2: Failed\n')
end